$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-9031c5a6e0cd894222861e3dba7a5fde9ab6815f/rpcs3-v0.0.12-10905-9031c5a6_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'f0b96980abebb4e8c5474e170dd6c677e8d67ee1bb096f47e1b485c6f2c65bd3'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
